interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 50057 characters]
    headers:
      CF-RAY: [24e567ab039b283a-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['33566']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:44:10 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=de6e287047bd3157d351878034a40b7591449042249; expires=Thu,
          01-Dec-16 07:44:09 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=lNiLiJWqMQ6%2BIkTzUUz0lDDdCJ%2B5FjrnB2tjb0KbAZDfKbBZEZ9e76qzTI0%2ByzV7NcnYw%2FqHKaM%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=de6e287047bd3157d351878034a40b7591449042249]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/top.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 12649 characters]
    headers:
      CF-RAY: [24e567b8345d283a-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8479']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:44:11 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=%2BWfpLIYwO19Oo9ZDb7O6wDU5nYMuKaH7BW9lPbWUa%2F3igG7OPjKzs0V06mQhYQRTzLMQdoX9qFk%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=de6e287047bd3157d351878034a40b7591449042249]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/new.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54995 characters]
        6vKJnCrhRp1///v/AyeVWNBRnAMA
    headers:
      CF-RAY: [24e567c3a4f7283a-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36900']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:44:14 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=H6l3rVrqOAYkyfnyXy%2F1i3OBvSEf3K01LrswvP2cxURS3%2FiO69orTaM5b%2FDTR41zgulXoEMc2iw%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=de6e287047bd3157d351878034a40b7591449042249]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/rising/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 82450 characters]
        v//9P/yrPN491gQA
    headers:
      CF-RAY: [24e567d075de283a-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['55302']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:44:16 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=3WJz24p092RHxpLrR7U7oGYmG8oSDuz%2BQK24oosuCaGZhEndRS%2BU%2BL14h23zD%2B9hea%2BWNc2SzwM%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=de6e287047bd3157d351878034a40b7591449042249]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/all/search/.json?q=pea
  response:
    body:
      string: !!binary |
[encoded data, 28985 characters]
        joJH/82mjyABpi5pr26gJ0PFPXjr3//+/2PVWoOLawEA
    headers:
      CF-RAY: [24e567dcb68e283a-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['19470']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:44:17 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=O8w7tTt0LAwYmvU8bNIfD0xmfW0GT%2BdKcqZH1d4wsJklgByF8I%2BlADd8nR8Bsc7bLf8JjySa0r0%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [__cfduid=de6e287047bd3157d351878034a40b7591449042249]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://api.reddit.com/r/python/search/.json?restrict_sr=on&q=pea
  response:
    body:
      string: !!binary |
        H4sIAFOhXlYC/7VX608jNxD/V9ycxIIECQnlykMIqY+TkE4t0qnqh0tlnPVs1mLXXvxIiFD+9854
        H9nkoMdxLR9gPTOex28eHp4G90rLwQUbfFTOKz0fHLKBFF4g6WmQiRS8o881kksjc+FyEiapNFeF
        tKDx/PmpU+NPtjRIUwpFIgMHRTa8XfncaJKYCa1B8tkKeToUBekHqQSHcgakKZp0YWZBSuVJw+Yy
        6fLw6Hnuy4JYe4W//OHoiH36hf/x4QM7Otqb+0siSrVgaSGcu5oOSjkdtPSKPvarqJFNhj8Nxwfs
        k1ixG5aLBTDBFsIqMStgqhn+OHbFwp4oq8t3J+eXHwW7hen0MRuLjjbVt1ZpQpApz7xhwqVKsX0J
        mQiFZyb4KkSG8xIPB2yuFuBq9X9qlRoJv+n421pjL1inOSrqToxEUpYK3ZE8g3iRpbmwIvVge75G
        Nze3lWaVccorDPv0ghkrlRYF08YTywo9h/3x5Oxgqm/IBvNQFMzn0JiwFICaa2MhUkPteLTsDpnQ
        kqJfGnvvLurQKkKFuWF9f/+FqA67r1p5dzyotUTExVT/jBCqLJp23kawHQs+OzpjmbLOHyILKdKA
        6+NDDn3Fn6hkY/YL/rf52yT0V3hjQmW8yGYrD+z4MT15dd6otkexuKd6qrtK/ytfXb/AukE0AEqH
        yAn8JEBFl9ca5DqxdIOIdOmr+EVjrTSGqBdgPdlA9dQczMI8FMJ2Fpa5SvM6sWHm4CEApqlvctfg
        axOy7cluZRTqHobRTgtN/Max0U6Kdqz83kyV/vyh0fONQyTpDY/kPx8aSVSQbGoqeW44JNF88uqi
        +r+GQePtYVIrSb6j2ZN/a/IkXkq6pn7B7nNN+xygb25O6jvqRPr76ra7+yKMuzf3091LANx1KNYN
        QUVOX/T2N6+zC/M5OI9vtjOWKr+hBweWW6iQSNKf/479kQYLPD7oG8lC6XueFUJZ3jRPw1Bxc8gm
        j3JMhjNrSt7sE43EHFeNuBUc40FYXD0W8ehtAFpFCpXeR0ImCkeU2iH0Szije1GIgM1qyVwJJWCl
        ovdkc8dVlyIseBzTlaqyZrGzqyDB8vFZz2KupIzLUEvQoeSpKUsEnhwYnyHN56GcaaHi0hInSbvg
        8BoEf8onD/nxinioEXjrSasV/fRbkfZQTZ3jcdnZjfdlvjTLCA/h2s/azhomarg36JZmIYoG3h5s
        HvOgtkQpmRsB5TjNzkGXuZjrGHojUYEtBcVEaIzsqF76Ri2Qo1glo2W+4rFiPacW4E3j8LoxHDYi
        p3EwuraQXTmgiuHYopgIQszsFIsWJUGMuyvvijDF2Gqgx5Pz0/GP5+PJ+yGhFGxMXu595S5Go+Vy
        OawzOEQfv9thMr2Vs+1OeQg4xOnB6JeEV76I/uNs6fo4ToZuIndW4pS87gXIg0/bICfHJ02Qsv5n
        ICiXRwzaDd3I3VZfKLdTkFT3G6F2SlSxB9ZruiPw8aQebHgzyOoap/N6/Q/o5A4ZkwwAAA==
    headers:
      CF-RAY: [24e567e93751283a-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['1135']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:44:19 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=61%2FhYoJ%2BzdJ%2BUesxpwhQ1SM4aRd9rgT46gOZvQ5LuJ3L2L8%2BWrf5IIo%2F017GBr31aXXP6Bf9uwU%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
